% print a matrix in maple format

function maple_mat(A,file,mode,head,foot)
   fid = 1;
   if (nargin>1) 
      if (nargin<3) mode='a'; end;
      fid = fopen(file,mode); 
      if (fid<0 | fid>256) error('can not open file\n'); end;
   end;
   if (nargin<4) head = 't1:='; end;
   if (nargin<5) foot = ':\n'; end;
   if (size(A,2)==1) A = A'; end;
   [m,n] = size(A);
   fprintf(fid,head);
   if (m>1) fprintf(fid,'['); end;
   if isstr(A)
      for i=1:m
	 fprintf(fid,'`%s`',deblank(A(i,:)));
	 if i<m, fprintf(fid,',\n  '); end;
      end;
      fprintf(fid,']'); 
   else
      for i=1:m
	 fprintf(fid,'[%.8g',A(i,1));
	 fprintf(fid,',%.8g',A(i,2:n));
	 if (i<m) fprintf(fid,'],\n '); 
	 elseif (m>1) fprintf(fid,']]');
	 else fprintf(fid,']');
	 end;
      end;
   end;
   fprintf(fid,foot);
   if (nargin>1) fclose(fid); end;
%end;